<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Api\Applicator;

use Dedi\SyliusQuotePlugin\Entity\OrderInterface;

interface QuoteStateMachineTransitionApplicatorInterface
{
    public function accept(OrderInterface $data): OrderInterface;

    public function acceptWithResupply(OrderInterface $data): OrderInterface;

    public function deny(OrderInterface $data): OrderInterface;
}
